
$(document).ready(function () {

	chrome.storage.sync.get(['websiteId','url','server','attributionselector','autoattribution','attributioncolour','maskregex','automask','debugmode'], function(items) {
		$('#websiteId').val(items.websiteId || '');
		$('#url').val(items.url || '');
		$('input[name=server]').prop('checked', false);
		$('input[name=server][value='+(items.server || 0)+']').prop('checked', true);
		$('#maskregex').val(items.maskregex || '');
		$('#automask').prop('checked', items.automask);
		$('#attributionselector').val(items.attributionselector || '');
		$('#attributioncolour').val(items.attributioncolour || '');
		$('#autoattribution').prop('checked', items.autoattribution);
		$('#debugmode').prop('checked', items.debugmode);
	});

	$('#save').click(function(e) {
		chrome.storage.sync.set({
			websiteId: $('#websiteId').val(),
			url: $('#url').val(),
			server: $('input[name=server]:checked').val()
		}, function() {
			$('#save').parent().html('<em>Saved!</em>');
		});
	});

	$('#genhm').click(function(e) {

		var attributionselector = $('#attributionselector').val(),
			attributioncolour = $('#attributioncolour').val();

		chrome.storage.sync.set({
			attributionselector: attributionselector,
			attributioncolour: attributioncolour,
			autoattribution: $('#autoattribution').is(':checked')
		}, function() {
			var bg = chrome.extension.getBackgroundPage();
			bg.generateAttributionMap(attributionselector, attributioncolour);
		});
	});

	$('#mask').click(function(e) {

		var maskregex = $('#maskregex').val() || '';

		if (maskregex !== '') {
			chrome.storage.sync.set({
				maskregex: maskregex,
				automask: $('#automask').is(':checked')
			}, function() {
				var bg = chrome.extension.getBackgroundPage();
				bg.maskDomContent(maskregex);
			});
		}
	});

	$('#debugmode').change(function(e) {
		chrome.storage.sync.set({
			debugmode: $('#debugmode').is(':checked')
		}, function() {
			console.log("done");
			//var bg = chrome.extension.getBackgroundPage();
			//bg.maskDomContent(maskregex);
		});
	});

});